from enum import Enum

class AlertType(Enum):
    ALL_TIME_HIGH = 1
    ALL_TIME_LOW = 2
    DAILY_HIGH = 3
    DAILY_LOW = 4
    WEEKLY_HIGH = 5
    WEEKLY_LOW = 6
    MONTHLY_HIGH = 7
    MONTHLY_LOW = 8
    YEARLY_HIGH = 9
    YEARLY_LOW = 10
    SPECIFIC_PRICE = 11

    @staticmethod
    def from_str(category: str):
        match category:
            case "Daily High":
                return AlertType.DAILY_HIGH
            case "Daily Low":
                return AlertType.DAILY_LOW
            case "Weekly High":
                return AlertType.WEEKLY_HIGH
            case "Weekly Low":
                return AlertType.WEEKLY_LOW
            case "Monthly High":
                return AlertType.MONTHLY_HIGH
            case "Monthly Low":
                return AlertType.MONTHLY_LOW
            case "Yearly High":
                return AlertType.YEARLY_HIGH
            case "Yearly Low":
                return AlertType.YEARLY_LOW
            case _:
                return AlertType.SPECIFIC_PRICE